Eligible services
All operations require authentication.
List eligible servicesProduction
Returns, by service family, the services that can be attached to the vRack. The eligibility check runs asynchronously: the route can be called several times until all the eligible services are returned.
While the status is set to pending the results are partial.
Once the status is set to done, all the eligible services have been found.
In the eventuality of errors getting specific service types, the errors will be listed in the errors field.
Path parameters
The internal name of your vrack
Query parameters
serviceFamily allows to filter on a specific service family
cloudProjectdedicatedClouddedicatedServerdedicatedServerInterfaceipipLoadbalancingipv6legacyVrackovhCloudConnectvmwareCloudDirectorVirtualDataCentervrackServicesResponse
Creation date of the call
List of services where an error has been encountered
Eligible services for this vRack
Status of the call
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vrack/ {serviceName}/ eligibleServices \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "string", "errors": [ "string" ], "result": { "cloudProject": [ "string" ], "dedicatedCloud": [ "string" ], "dedicatedCloudDatacenter": [ "string" ], "dedicatedConnect": [ "string" ], "dedicatedServer": [ "string" ], "dedicatedServerInterface": [ { "dedicatedServer": "string", "dedicatedServerInterface": "string", "name": "string" } ], "ip": [ "192.0.2.0/24" ], "ipLoadbalancing": [ "string" ], "ipv6": [ "2001:41d0::/128" ], "legacyVrack": [ "string" ], "ovhCloudConnect": [ "00000000-0000-0000-0000-000000000000" ], "vmwareCloudDirectorVirtualDataCenter": [ "string" ], "vrackServices": [ "string" ] }, "status": "string"}
List allowed services (deprecated)Deprecated
Deprecated since Sep 1, 2025, will be removed on Dec 1, 2025.
List allowed services (deprecated). Returns, by service family, the services that can be attached to the vRack. Deprecated: use eligibleServices instead.
Path parameters
The internal name of your vrack
Query parameters
Filter on a specific service family
cloudProjectdedicatedClouddedicatedCloudDatacenterdedicatedConnectdedicatedServerdedicatedServerInterfaceipipLoadbalancingipv6legacyVrackovhCloudConnectvmwareCloudDirectorVirtualDataCentervrackServicesResponse
list of publicCloud projects allowed to be connected to vrack
list of dedicated cloud allowed to be connected to vrack
list of dedicated cloud datacenters allowed to be connected to vrack
list of dedicated connect links allowed to be connected to vrack
list of dedicated servers allowed to be connected to vrack
list of dedicated server interfaces allowed to be connected to vrack
list of blocks allowed to be connected to vrack
list of ipLoadbalancing allowed to be connected to vrack
list of ipv6 blocks allowed to be connected to vrack
list of legacy vrack (1.0) allowed to be connected to vrack
List of the ovhCloudConnect services allowed to be connected to vrack
List of the vmwareCloudDirectorVirtualDataCenter allowed to be connected to vrack
List of the vrackServices allowed to be connected to vrack
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vrack/ {serviceName}/ allowedServices \
-H "authorization: Bearer $OVH_TOKEN"{ "cloudProject": [ "string" ], "dedicatedCloud": [ "string" ], "dedicatedCloudDatacenter": [ "string" ], "dedicatedConnect": [ "string" ], "dedicatedServer": [ "string" ], "dedicatedServerInterface": [ { "dedicatedServer": "string", "dedicatedServerInterface": "string", "name": "string" } ], "ip": [ "192.0.2.0/24" ], "ipLoadbalancing": [ "string" ], "ipv6": [ "2001:41d0::/128" ], "legacyVrack": [ "string" ], "ovhCloudConnect": [ "00000000-0000-0000-0000-000000000000" ], "vmwareCloudDirectorVirtualDataCenter": [ "string" ], "vrackServices": [ "string" ]}